Page MenuHomePhabricator

Adjust sliding animation time of pointers on short distances
Closed, ResolvedPublic

Description

Currently the animation of the pointers sliding from one place to the other ( e.g. when clicking bars ) has a fixed duration. When the distance slided is very small, the pointer moves very slow.

To so;lve this the animation time could be set depending on the distance to slide.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 31 2017, 9:38 AM
Lea_WMDE moved this task from Incoming to Revision Slider on the TCB-Team board.Apr 7 2017, 5:21 PM
Lea_WMDE moved this task from Incoming to Backlog on the Revision-Slider board.May 9 2017, 8:07 PM
MtDu claimed this task.Aug 12 2017, 9:02 PM
MtDu added a subscriber: MtDu.

I'll try this myself.

Hey @MtDu ! Just checking, if you're planing to work on that, otherwise you could un-assign yourself :-)

Hope you're doing fine, greetings from Berlin,
Fisch

WMDE-Fisch removed MtDu as the assignee of this task.Jan 30 2018, 11:33 AM
WMDE-Fisch added a project: patch-welcome.

Change 433998 had a related patch set uploaded (by PeterTheOne; owner: PeterTheOne):
[mediawiki/extensions/RevisionSlider@master] Adjust sliding animation time of pointers on short distances

https://gerrit.wikimedia.org/r/433998

Change 433998 merged by jenkins-bot:
[mediawiki/extensions/RevisionSlider@master] Adjust sliding animation time of pointers on short distances

https://gerrit.wikimedia.org/r/433998

Lea_WMDE closed this task as Resolved.Jun 28 2018, 3:38 PM
Lea_WMDE claimed this task.
Lea_WMDE added subscribers: PeterTheOne, Lea_WMDE.

and the third thank you! @PeterTheOne